=============================================================================
    Intel(R) Server Platform S2600KP FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:       February 9, 2017

TO:         Intel(R) Server Platform S2600KP customers

SUBJECT:    IBMC(R) FRU/SDR update package S2600KP_FRUSDR_116 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation.

*Other names and brands are the property of their respective owners.

Copyright (c) 2016 Intel Corporation.

=============================================================================
                      ABOUT THIS RELEASE PACKAGE
=============================================================================

SDR file version:                    1.16
Baseboard FRU file version:          1.00
Master configuration file version:   116
FRUSDR loader version:               13.1 Build 8

=============================================================================
        SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- S2600KP baseboard PBA H13888 - 202 / PBA G93685 - 102  or higher.

- Haswell processor C1 stepping or higher.

- BMC FW 01.39 or later

- BIOS D0064 or later

- Hot-swap backplane, and Baseboard FRU data must be available
  for chassis auto-detection to succeed.    

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

NOTE: If you updated BIOS and did not clear CMOS Ram, you should do that before
      installing this package.
	  
NOTE: You need to have ME FW 3.05 or later installed for the SSB Temp sensor to work properly.

=============================================================================
                           INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC FW release 01.39.9375 or later and BIOS D0064 or later are
   pre-installed before attempting this FRU/SDR update.

2. Copy all of the files and directories in the S2600KP_FRUSDR_116.zip archive
   to a USB key, hard disk drive or floppy drive.

3. If the board FRU information has not been previously programmed, then
   default FRU information must be programmed before the update is started.
   This is done with the following command:
   frusdr.efi /FRU S2600KP.fru   (De-pop boards)
   frusdr.efi /FRU S2600KPF.fru  (Infinite band boards)
   frusdr.efi /FRU S2600KPR.fru  (BDW CPU)
   frusdr.efi /FRU S2600KPFR.fru

4. Execute the following script to bring up the main FRU/SDR load menu:

     updS2600KP.nsh

5. Select Option 1 or 3 to do the SDR update.

6. The package should do an auto-config. If it does not, it will print
   an error message indicating why auto-detection failed and then present
   the standard chassis selection menu.

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

1. Alpha boards do not have the board FRU information programmed at the factory.
   Before updating the SDR, the Board must have default FRU info programmed
   with the following command:
   frusdr.efi /FRU S2600KP.fru   (De-pop boards)
   frusdr.efi /FRU S2600KPF.fru  (Infinite band boards)
   frusdr.efi /FRU S2600KPR.fru  (BDW CPU)
   frusdr.efi /FRU S2600KPFR.fru

2. This package allows setting of the board Part Number and Serial Number since
   the FRU data may not be pre-programmed at the factory.

=============================================================================
                           ISSUES FIXED
=============================================================================
S2600KP_116:
- None

S2600KP_115:
- None

S2600KP_114:
- None

S2600KP_113:
- (New) KNP FRUSDR String Error - Processing FRU file name is not correct

S2600KP_112:
- EPSD100029551 - The "successfully Completed" message will occur after FRUSDR package for other platform is update.

S2600KP_111:
- EPSD100029318 - Fan duty issue

S2600KP_110:
- None

S2600KP_109:
- None

S2600KP_108:
- None

S2600KP_107:
- None

S2600KP_106:
- None

S2600KP_105:
- None

S2600KP_104:
- EPSD100245790:Wrong product name H2300KP during FRUSDR update.

S2600KP_103:
- None.

S2600KP_102:
- None.

S2600KP_101:
- None.

S2600KP_100:
- EPSD100243001: Remove obsolete sensor 0x69 from SDR.
- N/A: Add LAN leash sensor in 2U4N chassis.

S2600KP_012:
- EPSD100242928: BB +3.3V Vbat has incorrect assertion and deassertion mask values.
- N/A: Modified OEM for some SDRs.

S2600KP_011:
- EPSD100242743: [SLV_KNP]DCM console cannot add managed entity.

S2600KP_010:
- EPSD100025886: [KNP-FW FTF]FTF test script to do a basic function test of Fan Speed Control Test Fail.
- EPSD100026638: "SDR auto-update failed" is displayed during FRU/SDR updating.

S2600KP_009:(Not Release)
- EPSD100026490: No AutoCfg Status failure logged in the SEL after update invalid HSBP FRU then DC cycle the SUT to trigger an auto-config cycle.
- EPSD100026428: There are some unexpected PSU SELs after pull out the PSU.
- EPSD100026303: "IO module" can't be detected in "System information"-->"FRU Information" by EWS.
- EPSD100026512: Unnecessary "Auto Shutdown" assert/desserted event logs were recorded after the system Auto Shutdown.
- N/A: Change SDR type 1 to 2 of "PSx Fanx Fail" sensor.


S2600KP_008:
- EPSD100241278: No find sensor name which is related with PS1 and "Pwr Unit Redund"  in Sensor Readings page on EWS
- EPSD100026124: [KNP-CDAD]There is critical temperature log in BMC even using 8G C0 DIMM with BMC0.20, SDR0.06.
- N/A: Change sensor name string "BB IB Temp" to "BB REAR Temp".
- N/A: Change MTT CPU1 and MTT CPU2 sensor maximum reading from 00 to FF.

S2600KP_007:
- EPSD100240923: After use the heat gun to raise sensor (BB Inlet temp) to upper critical value, all fans can¡¦t boost
- EPSD100026060: [KNP-FW]No "AUTO Shutdown" deasserted event in SEL after "AUTO Shutdown" sensor status changed to "deasserted".
- N/A: Modified Minimum Performance Profile value for H2300KP and H2200KP system.
 
S2600KP_006:
- EPSD100240533: Sensor name "P2 Status" can¡¦t be shown  in SEL entry after AC cycle
- EPSD100240367: Clone of: BMC should not restart after FRUSDR Update is done with legacy method (BMC should just run init agent)
- EPSD100240373: OFUV13.8: BMC will restart using OFU to update FRUSDR by non auto-config mode
- N/A: Detect FRU device by probe FRU ID.

S2600KP_005:
- EPSD100239853: cmd "frusdr -sdr S2600KP.sdr" failed to update when sdr file from 0.04 package.
- EPSD100239264: Power Supply Single in slot 2 has no sensor listed in FRUSDR or EWS.
- EPSD100239714: Spelling error in FRUSDR utility output.
- EPSD100025340: The fan duty of system will change to less than 40% when updated the S2600KP_FRUSDR_002 then system will sometimes trigger OTP before access OS/efi.
- EPSD100024623: The speed of system fans is always in hight speed. (0x64 = 100%)
- EPSD100025424: [KNP-FW]The rotational speed of the fan is lower than the threshold of the low, critical fan speed.(Reproduce rate : 50%)
- EPSD100240327: KNP HSBP1 Temp sensor should be named as HSBP PSOC or PSOC Temp

S2600KP_004:
- EPSD100024893: There is no Hot Swap Controller 1 Status sensor (0x69) in EWS.
- EPSD100025378: Alpha2 Sysdev update FRUSDR002 will hung up after updated to BMC012r5519.

S2600KP_003:
- EPSD100024893: There is no Hot Swap Controller 1 Status sensor (0x69) in EWS.
- EPSD100024741: Clone of: Kill PID in BMC kernel for resetting just the offending thread/process such as "[PTM] - Register /usr/local/bin/NodeManager", there is no SEL event for sensor 0x0A - BMC Watchdog.
- EPSD100024895: No BMC watchdog event logged in SEL when BMC kernel panic triggered.
- EPSD100237426: FRUSDR V13.3: The "Copyright (c) 2012" displayed is wrong when run  "frusdr.efi -cfg master.cfg".
- EPSD100025115: Clone of: [MIC-FW] No WDT triggered SEL entries after BMC reset as WDT triggered.
- EPSD100025296: [KNP-CDAD] During updating SDR 02 with ST1 HSBP, SUT show "HSBP FRU device is detect but not INTEL HSBP".

S2600KP_002:
- EPSD100024092: HWV - Server management - 2.9.2 TC_15:  Onboard Status LED Test
- EPSD100024302: Clone of: SMBIOS Type 2 Product Name String NOT match SETUP Platform ID

S2600KP_001:
- None.   

=============================================================================
                           FEATURES ADDED
=============================================================================
S2600KP_116:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 2.2.xlsm.

S2600KP_115:
- Modified the cfg file to add EBCP SKU.
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 2.1_draft.xlsm.

S2600KP_114:
- Add DISABLE_NVME_FUNCTIONS record for Auto Detect in the Master.cfg file.
- Add FSC Record Type = 1Dh (Backplane NVMe capabilities) records.
- Add S2600KPFR.fru file
- Change SDR for NIC related tracker(EPSD100250298:Disable onboard NIC from BIOS of KNP/TLP, all system fan run at high speed)
- Update master.cfg for KPFR.fru file
- Add the Tag of "Others" to "NIC LAN Temp" SDR

S2600KP_113:
-Add S2600KPR.fru file for BDW CPU and probe this fru.
-Update frusdr.efi and ipmi.efi utility 13.1 build 8.
-Fixed master.cfg (Processing FRU file name is not correct)

S2600KP_112:
- Modified the cfg file.

S2600KP_111:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 1.9.xlsm.
- Change "Auto Profile" tab
- Modified "Global Stepwise Records" tab

S2600KP_110:
- Add a SDR record for IO Module M2.  Make it compatible with previous version of IO Module.

S2600KP_109:
- Add a SDR record for CCB310, named 'Bad User PWD'.

S2600KP_108:
- None

S2600KP_108:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 1.6.xlsm.
  - Set Sensor-failed Control Value and Sensor-reading-unavailable Control Value to 100%
  - Change the Sensor Number of "LSI3008 Temp VR" to 93h.
  - Add 2200W PSU records, PS1 and PS2. Including Input Power, Currrent Out %, Temperature, Fan Tach
  - Add Stepwise curve ID for 24HDDs (21d to 28d)
- Set Global Clamp ID of Clamp sub-record 17 to 91h
- Add SDR of HSBP HDD(HDD4 to HDD6)

S2600KP_107:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 1.5.xlsm.

S2600KP_106:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 1.4.xlsm.

S2600KP_105:
- Add 24HDDHSBP FRU Info.
- Add 24*12G HSBP(FHW24X25HSBP12G) detect in the Master.cfg file. 
- Some tag name changes for Auto Detect in the Master.cfg file.
- Add Tag "24HDDHSBP" at SDR for display 24HDD info on EWS 

S2600KP_104:
- None.

S2600KP_103:
- Enable sensor number 21 threshold event mask of upper non-recoverable.
- Change CATERR sensor name to 'IERR'.
- Add IERR recovery information SDR. 

S2600KP_102:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 1.1.xlsm.

S2600KP_101:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 1.0.xlsm.

S2600KP_100:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 0.9.xlsm.

S2600KP_012:
- None

S2600KP_011:
- New version of FRUSDR.efi utility (ver 13 build 10).

S2600KP_010:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 0.8.xlsm. 
- New version of FRUSDR.efi utility (ver 13 build 9).

S2600KP_009:(Not Release)
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 0.7.xlsm. 

S2600KP_008:
- New version of FRUSDR.efi utility (ver 13 build 8).

S2600KP_007:
- Modified the 'SmaRT-CLST Stat' SDR.
- Removed Romley HSBP support.

S2600KP_006:
- New version of FRUSDR.efi utility (ver 13 build 7).
- New FRU file support for infinite band board.
- N/A: Modified OEM for some SDRs.

S2600KP_005:
- New version of FRUSDR.efi utility (ver 13 build 6).
- Modified/Added the SDRs as per Grantley BMC Firmware EPS v1.01.docx.
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 0.5.xlsm.
- Some tag name added for Auto Detect in the Master.cfg file.

S2600KP_004:
- New version of FRUSDR.efi utility (ver 13 build 5).

S2600KP_003:
- New version of FRUSDR.efi utility supporting Auto-Config (ver 13 build 4).
- Add 12G HSBP detect in the Master.cfg file. 
- Some tag name changes for Auto Detect in the Master.cfg file.
- Modified/Added the SDRs as per Grantley BMC Firmware EPS v0.9.docx. 

S2600KP_002:
- New version of FRUSDR.efi utility supporting Auto-Config (ver 13 build 3).
- Some tag name changes for Auto Detect in the Master.cfg file.
- Modified/Added the SDRs as per Grantley BMC Firmware EPS v0.8.docx.

S2600KP_001:
- Update SDR as per Kennedy Pass FSC Config Sheet Rev 0.2.xlsm.
- Modified/Added the SDRs as per Grantley BMC Firmware EPS v0.6.docx.
- Set Entity Instance number be unique for each different entity of the same type Entity ID.
- Modified Voltage Sensor Scaling SDR table.
- Added auto detection feature base on HWFF-G chassis Auto-detection V01.vsd.
- Added FRUSDR loader Utility 13.0 Build Alpha 1

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
Kennedy Pass FSC Config Sheet Rev 2.2.xlsm datasheet
Grantley BMC Firmware EPS v1.04.docx
HWFF-G chassis Auto-detection V01.vsd
[END OF RELEASE NOTES]
